Bug 133698 - UFT-8 broken cyrrilic (Russian) font definition
UFT-8 broken cyrrilic (Russian) font definition
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gtk+ (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Clasen
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-26 11:32 EDT by Andrey Bondarenko
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-07-11 11:49:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrey Bondarenko 2004-09-26 11:32:25 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; rv:1.7.3) Gecko/20040914
Firefox/0.10

Description of problem:
Well, if you set LANG=ru_RU.UTF-8 and start any gtk1.x applicetion
(xmms) you will see litle squares on instead of Russian letters.
Problem is, that in the /etc/gtk/gtkrc.utf8 default font set have no
russian letters. Tihs is very annoyng. To fix, you shouls set any
valid font, for example:

[shaman@shaman007 shaman]$ cat /etc/gtk/gtkrc.utf8
style "default-text" {
       fontset = "-urw-urw bookman
l-medium-r-normal-*-14-*-*-*-p-*-koi8-uni"

}

class "GtkWidget" style "default-text"

[shaman@shaman007 shaman]$


Version-Release number of selected component (if applicable):
1.x

How reproducible:
Always

Steps to Reproduce:
1. set LANG=ru_RU.UTF-8
2. start xmms
3. enjoy
    

Additional info:
Comment 1 Matthew Miller 2005-04-26 11:09:08 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 2 Matthias Clasen 2005-07-11 11:49:31 EDT
Closing FC2 NEEDINFO bugs which have not been updated to FC3/FC4/FC5

Note You need to log in before you can comment on or make changes to this bug.